OpenSUSE 13.2 Build0019 impossibile aggiornare

5 risposte [Ultimo messaggio]
Ritratto di a.loka92
a.loka92
(Junior)
Offline
Junior
Iscritto: 04/06/2011
Messaggi: 22

Salve a tutti, ho appena installato OpenSUSE 13.2 KDE 64bit. Il problema e` che quando provo ad aggiornare con zypper da terminale, mi restituisce il seguente messaggio di errore:

linux:~ # zypper ref
Il repository 'openSUSE-13.2-Non-Oss' è aggiornato.
Il repository 'openSUSE-13.2-Oss' è aggiornato.
Il repository 'openSUSE-13.2-Update' è aggiornato.
Il repository 'openSUSE-13.2-Update-Non-Oss' è aggiornato.
Tutti i repository sono stati aggiornati.
linux:~ # zypper up
Lettura dei dati del repository in corso...
Lettura dei pacchetti installati in corso...
 
Il seguente NUOVO pacchetto verrà installato:
  yast2-inetd-doc 
 
1 nuovo pacchetto da installare.
terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::io::bad_format_string> >'
  what():  boost::bad_format_string: format-string is ill-formed
Annullato

Qual e` il problema? Grazie in anticipo!

Ritratto di spock
spock
(Guru)
Offline
Guru
Iscritto: 03/08/2006
Messaggi: 1198

Lo fa anche a me, ma tramite yast riesco ad aggiornare senza problemi.

Ciao

Ritratto di a.loka92
a.loka92
(Junior)
Offline
Junior
Iscritto: 04/06/2011
Messaggi: 22

sì, infatti, da yast si riesce ad aggiornare.. ma nessun altro ha avuto questo problema? Risolveranno??

Ritratto di spock
spock
(Guru)
Offline
Guru
Iscritto: 03/08/2006
Messaggi: 1198

Casualmente, non garantisco che funzioni anche a te, sono riuscito a risolvere il problema installando da yast i pacchetti openSUSE-release-ftp e yast2-inetd-doc.

P:S.
Come non detto al successivo riavvio il problema si è ripresentato.

Ritratto di spock
spock
(Guru)
Offline
Guru
Iscritto: 03/08/2006
Messaggi: 1198

Googolando però ho trovato questo e stavolta sembra davvero funzionare.

Ritratto di a.loka92
a.loka92
(Junior)
Offline
Junior
Iscritto: 04/06/2011
Messaggi: 22

Grazie mille, funziona alla grande! Big Grin
Per completezza metto il codice. Ho aggiornato con:

su -c 'LC_ALL=C zypper ref'
su -c 'LC_ALL=C zypper up'
su -c 'LC_ALL=C zypper dup'

[EDIT]: comunque penso ci sia qualche altro problema, perchè dopo aver disinstallato molti programmi (come digikam, tutti i giochi, ecc..), appena riapro yast vuole reinstallarli...